# Changelog

## [6.10.1](https://github.com/Applitools-Dev/sdk/compare/ruby/eyes_selenium@6.10.0...ruby/eyes_selenium@6.10.1) (2025-07-15)


### Dependencies

* @applitools/dom-snapshot bumped to 4.12.1
  #### Performance Improvements

  * yarn dedup packages ([#3061](https://github.com/Applitools-Dev/sdk/issues/3061)) ([2fd8951](https://github.com/Applitools-Dev/sdk/commit/2fd8951d6ce9c18a5dbdb648adaa2c454eae9b4e))



* @applitools/req bumped to 1.7.15
  #### Performance Improvements

  * yarn dedup packages ([#3061](https://github.com/Applitools-Dev/sdk/issues/3061)) ([2fd8951](https://github.com/Applitools-Dev/sdk/commit/2fd8951d6ce9c18a5dbdb648adaa2c454eae9b4e))
* @applitools/driver bumped to 1.22.1
  #### Performance Improvements

  * yarn dedup packages ([#3061](https://github.com/Applitools-Dev/sdk/issues/3061)) ([2fd8951](https://github.com/Applitools-Dev/sdk/commit/2fd8951d6ce9c18a5dbdb648adaa2c454eae9b4e))
* @applitools/spec-driver-webdriver bumped to 1.3.1

* @applitools/spec-driver-puppeteer bumped to 1.5.1

* @applitools/screenshoter bumped to 3.11.7
  #### Performance Improvements

  * yarn dedup packages ([#3061](https://github.com/Applitools-Dev/sdk/issues/3061)) ([2fd8951](https://github.com/Applitools-Dev/sdk/commit/2fd8951d6ce9c18a5dbdb648adaa2c454eae9b4e))



* @applitools/nml-client bumped to 1.9.7
  #### Performance Improvements

  * yarn dedup packages ([#3061](https://github.com/Applitools-Dev/sdk/issues/3061)) ([2fd8951](https://github.com/Applitools-Dev/sdk/commit/2fd8951d6ce9c18a5dbdb648adaa2c454eae9b4e))



* @applitools/tunnel-client bumped to 1.9.0
  #### Features

  * enable EC healthchecks | AD-10040 ([#3017](https://github.com/Applitools-Dev/sdk/issues/3017)) ([c01c300](https://github.com/Applitools-Dev/sdk/commit/c01c300259427ddae53147a64d30b152960503d9))



* @applitools/ufg-client bumped to 1.16.14
  #### Performance Improvements

  * yarn dedup packages ([#3061](https://github.com/Applitools-Dev/sdk/issues/3061)) ([2fd8951](https://github.com/Applitools-Dev/sdk/commit/2fd8951d6ce9c18a5dbdb648adaa2c454eae9b4e))



* @applitools/core-base bumped to 1.25.6
  #### Performance Improvements

  * yarn dedup packages ([#3061](https://github.com/Applitools-Dev/sdk/issues/3061)) ([2fd8951](https://github.com/Applitools-Dev/sdk/commit/2fd8951d6ce9c18a5dbdb648adaa2c454eae9b4e))



* @applitools/ec-client bumped to 1.11.0
  #### Features

  * enable EC healthchecks | AD-10040 ([#3017](https://github.com/Applitools-Dev/sdk/issues/3017)) ([c01c300](https://github.com/Applitools-Dev/sdk/commit/c01c300259427ddae53147a64d30b152960503d9))


  #### Performance Improvements

  * yarn dedup packages ([#3061](https://github.com/Applitools-Dev/sdk/issues/3061)) ([2fd8951](https://github.com/Applitools-Dev/sdk/commit/2fd8951d6ce9c18a5dbdb648adaa2c454eae9b4e))



* @applitools/core bumped to 4.42.0
  #### Features

  * enable EC healthchecks | AD-10040 ([#3017](https://github.com/Applitools-Dev/sdk/issues/3017)) ([c01c300](https://github.com/Applitools-Dev/sdk/commit/c01c300259427ddae53147a64d30b152960503d9))


  #### Performance Improvements

  * yarn dedup packages ([#3061](https://github.com/Applitools-Dev/sdk/issues/3061)) ([2fd8951](https://github.com/Applitools-Dev/sdk/commit/2fd8951d6ce9c18a5dbdb648adaa2c454eae9b4e))



* @applitools/spec-driver-selenium bumped to 1.6.1

* eyes_universal bumped to 4.42.0

* eyes_core bumped to 6.8.1


## [6.10.0](https://github.com/Applitools-Dev/sdk/compare/ruby/eyes_selenium@6.9.2...ruby/eyes_selenium@6.10.0) (2025-07-14)


### Features

* updated ruby dummy files ([#3095](https://github.com/Applitools-Dev/sdk/issues/3095)) ([fcacc0f](https://github.com/Applitools-Dev/sdk/commit/fcacc0f5ca14e0159bc0060ce5c085c40b9f5569))


### Dependencies

* eyes_universal bumped to 4.41.0
  #### Features

  * updated ruby dummy files ([#3095](https://github.com/Applitools-Dev/sdk/issues/3095)) ([fcacc0f](https://github.com/Applitools-Dev/sdk/commit/fcacc0f5ca14e0159bc0060ce5c085c40b9f5569))
* eyes_core bumped to 6.8.0
  #### Features

  * updated ruby dummy files ([#3095](https://github.com/Applitools-Dev/sdk/issues/3095)) ([fcacc0f](https://github.com/Applitools-Dev/sdk/commit/fcacc0f5ca14e0159bc0060ce5c085c40b9f5569))




## [6.9.2](https://github.com/Applitools-Dev/sdk/compare/ruby/eyes_selenium@6.9.1...ruby/eyes_selenium@6.9.2) (2025-06-15)


### Bug Fixes

* remove safari-early-access browser version (bindings) | AD-10226 ([#3033](https://github.com/Applitools-Dev/sdk/issues/3033)) ([108b805](https://github.com/Applitools-Dev/sdk/commit/108b8051986609fc701a20cee8e39cefd433c19b))


### Dependencies

* @applitools/dom-snapshot bumped to 4.11.22
  #### Bug Fixes

  * css media query group conditions | FLD-3151 ([#3023](https://github.com/Applitools-Dev/sdk/issues/3023)) ([56ec107](https://github.com/Applitools-Dev/sdk/commit/56ec107bcda6a5a330d19c278267d73de5d86d8b))



* @applitools/req bumped to 1.7.13

* @applitools/dom-capture bumped to 11.5.6

* @applitools/spec-driver-webdriver bumped to 1.2.6

* @applitools/screenshoter bumped to 3.11.5

* @applitools/nml-client bumped to 1.9.5
  #### Bug Fixes

  * nml-client depends on core-base ([#2995](https://github.com/Applitools-Dev/sdk/issues/2995)) ([1f7cf69](https://github.com/Applitools-Dev/sdk/commit/1f7cf6930709a40a498dd1f525132648aa593af0))



* @applitools/tunnel-client bumped to 1.8.0
  #### Features

  * update build script to include individual zip creation ([#3008](https://github.com/Applitools-Dev/sdk/issues/3008)) ([46a0cfc](https://github.com/Applitools-Dev/sdk/commit/46a0cfcc472ab69384560095d90a7fa58b4b9186))



* @applitools/ufg-client bumped to 1.16.12
  #### Bug Fixes

  * remove safari-early-access browser version for js sdks | AD-10226 ([#3034](https://github.com/Applitools-Dev/sdk/issues/3034)) ([7ca09f5](https://github.com/Applitools-Dev/sdk/commit/7ca09f5c0c271570142058ea766533b86434dc2e))



* @applitools/core-base bumped to 1.25.4
  #### Bug Fixes

  * Differentiate Between Invalid and Missing API Key Errors ([6ac17d4](https://github.com/Applitools-Dev/sdk/commit/6ac17d40d7aff45b3de5c949dc7d4673b9739bfd))
  * export issues for ts js with legacy solution ([#3016](https://github.com/Applitools-Dev/sdk/issues/3016)) ([a3a9daf](https://github.com/Applitools-Dev/sdk/commit/a3a9daf9c3361bb1f253499c1335a1434ec520d1))



* @applitools/test-server bumped to 1.2.3
  #### Bug Fixes

  * basic auth protected resources | FLD-2761 | FMRI-120 ([#2444](https://github.com/Applitools-Dev/sdk/issues/2444)) ([b48cf49](https://github.com/Applitools-Dev/sdk/commit/b48cf49dec50bbf1ed2ba111608a48cf09962565))
  * export issues for ts js with legacy solution ([#3016](https://github.com/Applitools-Dev/sdk/issues/3016)) ([a3a9daf](https://github.com/Applitools-Dev/sdk/commit/a3a9daf9c3361bb1f253499c1335a1434ec520d1))
  * storybook navigation timeouts ([#2701](https://github.com/Applitools-Dev/sdk/issues/2701)) ([64e3a40](https://github.com/Applitools-Dev/sdk/commit/64e3a40a524ae76ec457ae9c2d1170fbaea5e982))



* @applitools/ec-client bumped to 1.10.15

* @applitools/core bumped to 4.40.0
  #### Features

  * update build script to include individual zip creation ([#3008](https://github.com/Applitools-Dev/sdk/issues/3008)) ([46a0cfc](https://github.com/Applitools-Dev/sdk/commit/46a0cfcc472ab69384560095d90a7fa58b4b9186))


  #### Bug Fixes

  * css media query group conditions | FLD-3151 ([#3023](https://github.com/Applitools-Dev/sdk/issues/3023)) ([56ec107](https://github.com/Applitools-Dev/sdk/commit/56ec107bcda6a5a330d19c278267d73de5d86d8b))
  * export issues for ts js with legacy solution ([#3016](https://github.com/Applitools-Dev/sdk/issues/3016)) ([a3a9daf](https://github.com/Applitools-Dev/sdk/commit/a3a9daf9c3361bb1f253499c1335a1434ec520d1))
  * extractLatestCommitInfo | FLD-3217 ([#3039](https://github.com/Applitools-Dev/sdk/issues/3039)) ([3f72a23](https://github.com/Applitools-Dev/sdk/commit/3f72a230fa0166046ea85ae004cfb544de86e628))
  * handle error when sending started message in tunnel manager server ([#3019](https://github.com/Applitools-Dev/sdk/issues/3019)) ([2cdaad8](https://github.com/Applitools-Dev/sdk/commit/2cdaad896fd679187449b69abe529b006f6255ee))



* eyes_universal bumped to 4.40.0

* eyes_core bumped to 6.7.2


## [6.9.1](https://github.com/Applitools-Dev/sdk/compare/ruby/eyes_selenium@6.9.0...ruby/eyes_selenium@6.9.1) (2025-05-22)


### Dependencies

* eyes_universal bumped to 4.38.0
  #### Features

  * adding the mac-arm64 binary ([#2975](https://github.com/Applitools-Dev/sdk/issues/2975)) ([95d647f](https://github.com/Applitools-Dev/sdk/commit/95d647ff4a451309d985a786f7cec544d926f0e5))
* eyes_core bumped to 6.7.1


## [6.9.0](https://github.com/Applitools-Dev/sdk/compare/ruby/eyes_selenium@6.8.1...ruby/eyes_selenium@6.9.0) (2025-04-17)


### Features

* height layout breakpoints ([#2801](https://github.com/Applitools-Dev/sdk/issues/2801)) ([819e241](https://github.com/Applitools-Dev/sdk/commit/819e2418f1fd93220a07dfbcf1157ffcf4995dd7))


### Performance Improvements

* cachify http agent ([#2466](https://github.com/Applitools-Dev/sdk/issues/2466)) ([bc2f4a1](https://github.com/Applitools-Dev/sdk/commit/bc2f4a1fae3c379f061c9199edf4c5257769fb44))


### Dependencies

* @applitools/dom-snapshot bumped to 4.11.18
  #### Bug Fixes

  * simplify sandbox creation and ensure cleanup after execution ([#2869](https://github.com/Applitools-Dev/sdk/issues/2869)) ([72c5e01](https://github.com/Applitools-Dev/sdk/commit/72c5e01307f6abd83fab365a7e235124caae0694))



* @applitools/snippets bumped to 2.6.5
  #### Performance Improvements

  * cachify http agent ([#2466](https://github.com/Applitools-Dev/sdk/issues/2466)) ([bc2f4a1](https://github.com/Applitools-Dev/sdk/commit/bc2f4a1fae3c379f061c9199edf4c5257769fb44))
* @applitools/driver bumped to 1.21.1
  #### Bug Fixes

  * executePoll error logging FLD-2870 ([#2890](https://github.com/Applitools-Dev/sdk/issues/2890)) ([a8ff720](https://github.com/Applitools-Dev/sdk/commit/a8ff720efafacabe2023282748a6d8a0f1b3ff73))



* @applitools/spec-driver-webdriver bumped to 1.2.2
  #### Performance Improvements

  * cachify http agent ([#2466](https://github.com/Applitools-Dev/sdk/issues/2466)) ([bc2f4a1](https://github.com/Applitools-Dev/sdk/commit/bc2f4a1fae3c379f061c9199edf4c5257769fb44))



* @applitools/spec-driver-selenium bumped to 1.5.98
  #### Performance Improvements

  * cachify http agent ([#2466](https://github.com/Applitools-Dev/sdk/issues/2466)) ([bc2f4a1](https://github.com/Applitools-Dev/sdk/commit/bc2f4a1fae3c379f061c9199edf4c5257769fb44))



* @applitools/spec-driver-puppeteer bumped to 1.4.27
  #### Performance Improvements

  * cachify http agent ([#2466](https://github.com/Applitools-Dev/sdk/issues/2466)) ([bc2f4a1](https://github.com/Applitools-Dev/sdk/commit/bc2f4a1fae3c379f061c9199edf4c5257769fb44))



* @applitools/screenshoter bumped to 3.11.1
  #### Performance Improvements

  * cachify http agent ([#2466](https://github.com/Applitools-Dev/sdk/issues/2466)) ([bc2f4a1](https://github.com/Applitools-Dev/sdk/commit/bc2f4a1fae3c379f061c9199edf4c5257769fb44))



* @applitools/nml-client bumped to 1.9.1
  #### Performance Improvements

  * cachify http agent ([#2466](https://github.com/Applitools-Dev/sdk/issues/2466)) ([bc2f4a1](https://github.com/Applitools-Dev/sdk/commit/bc2f4a1fae3c379f061c9199edf4c5257769fb44))



* @applitools/tunnel-client bumped to 1.6.5
  #### Bug Fixes

  * enhance error messages in tunnel client ([cab26e6](https://github.com/Applitools-Dev/sdk/commit/cab26e6e3d56fa3cbabaa1a9c68de13046b8f57e))
* @applitools/ufg-client bumped to 1.16.9
  #### Bug Fixes

  * basic auth protected resources | FLD-2761 | FMRI-120 ([#2444](https://github.com/Applitools-Dev/sdk/issues/2444)) ([b48cf49](https://github.com/Applitools-Dev/sdk/commit/b48cf49dec50bbf1ed2ba111608a48cf09962565))


  #### Performance Improvements

  * cachify http agent ([#2466](https://github.com/Applitools-Dev/sdk/issues/2466)) ([bc2f4a1](https://github.com/Applitools-Dev/sdk/commit/bc2f4a1fae3c379f061c9199edf4c5257769fb44))
* @applitools/ec-client bumped to 1.10.9
  #### Performance Improvements

  * cachify http agent ([#2466](https://github.com/Applitools-Dev/sdk/issues/2466)) ([bc2f4a1](https://github.com/Applitools-Dev/sdk/commit/bc2f4a1fae3c379f061c9199edf4c5257769fb44))



* @applitools/core bumped to 4.37.0
  #### Features

  * height layout breakpoints ([#2801](https://github.com/Applitools-Dev/sdk/issues/2801)) ([819e241](https://github.com/Applitools-Dev/sdk/commit/819e2418f1fd93220a07dfbcf1157ffcf4995dd7))



* eyes_universal bumped to 4.37.0
  #### Performance Improvements

  * cachify http agent ([#2466](https://github.com/Applitools-Dev/sdk/issues/2466)) ([bc2f4a1](https://github.com/Applitools-Dev/sdk/commit/bc2f4a1fae3c379f061c9199edf4c5257769fb44))



* eyes_core bumped to 6.7.0
  #### Features

  * height layout breakpoints ([#2801](https://github.com/Applitools-Dev/sdk/issues/2801)) ([819e241](https://github.com/Applitools-Dev/sdk/commit/819e2418f1fd93220a07dfbcf1157ffcf4995dd7))


  #### Performance Improvements

  * cachify http agent ([#2466](https://github.com/Applitools-Dev/sdk/issues/2466)) ([bc2f4a1](https://github.com/Applitools-Dev/sdk/commit/bc2f4a1fae3c379f061c9199edf4c5257769fb44))




## [6.8.1](https://github.com/Applitools-Dev/sdk/compare/ruby/eyes_selenium@6.8.0...ruby/eyes_selenium@6.8.1) (2025-04-03)


### Dependencies

* @applitools/core bumped to 4.35.1
  #### Bug Fixes

  * dummy ([9b8ffef](https://github.com/Applitools-Dev/sdk/commit/9b8ffef6277015a9073caf50f5dc5741986fbf07))
* eyes_universal bumped to 4.35.1

* eyes_core bumped to 6.6.1


## [6.8.0](https://github.com/Applitools-Dev/sdk/compare/ruby/eyes_selenium@6.7.1...ruby/eyes_selenium@6.8.0) (2025-03-26)


### Dependencies

* @applitools/core bumped to 4.33.0
  ### Features

  * support HTTPS_PROXY and HTTP_PROXY environment variables ([#2795](https://github.com/Applitools-Dev/sdk/issues/2795)) ([226ae08](https://github.com/Applitools-Dev/sdk/commit/226ae08627381a1212df8b938c6576e82c777914))



## [6.7.1](https://github.com/Applitools-Dev/sdk/compare/ruby/eyes_selenium@6.7.0...ruby/eyes_selenium@6.7.1) (2025-03-06)


### Dependencies

* @applitools/core bumped to 4.32.2
  #### Bug Fixes

  * add environment variable aliases (_NAME suffix) ([#2791](https://github.com/Applitools-Dev/sdk/issues/2791)) ([67501a4](https://github.com/Applitools-Dev/sdk/commit/67501a4f5491319ca62949a56ee03face08a59e5))
  * support test concurrency in offline mode ([#2831](https://github.com/Applitools-Dev/sdk/issues/2831)) ([3b7d137](https://github.com/Applitools-Dev/sdk/commit/3b7d137a9b34bb5c564e0a5c7d3fb2520ef8a167))
* eyes_universal bumped to 4.32.2

* eyes_core bumped to 6.5.3


## [6.7.0](https://github.com/Applitools-Dev/sdk/compare/ruby/eyes_selenium@6.6.1...ruby/eyes_selenium@6.7.0) (2025-01-30)


### Features

* remove iPhoneX from list of available UFG Safari devices ([#2756](https://github.com/Applitools-Dev/sdk/issues/2756)) ([e24d054](https://github.com/Applitools-Dev/sdk/commit/e24d054328df900fbc4988fdbf8213aadffa9a37))


### Dependencies

* @applitools/dom-snapshot bumped to 4.11.15

* @applitools/driver bumped to 1.20.4
  #### Bug Fixes

  * handle device screen info extraction gracefully ([#2757](https://github.com/Applitools-Dev/sdk/issues/2757)) ([92d0118](https://github.com/Applitools-Dev/sdk/commit/92d0118137b77e49d780092d110973df8ed8b40c))
* eyes_universal bumped to 4.31.0
  #### Features

  * remove iPhoneX from list of available UFG Safari devices ([#2756](https://github.com/Applitools-Dev/sdk/issues/2756)) ([e24d054](https://github.com/Applitools-Dev/sdk/commit/e24d054328df900fbc4988fdbf8213aadffa9a37))



* @applitools/spec-driver-webdriver bumped to 1.1.25

* @applitools/spec-driver-selenium bumped to 1.5.95

* @applitools/spec-driver-puppeteer bumped to 1.4.24

* @applitools/screenshoter bumped to 3.10.5

* @applitools/nml-client bumped to 1.8.24

* @applitools/ufg-client bumped to 1.16.3
  #### Bug Fixes

  * unthrottle renders in offline mode ([#2754](https://github.com/Applitools-Dev/sdk/issues/2754)) ([b65d816](https://github.com/Applitools-Dev/sdk/commit/b65d81610504ae725b7b52611282a1bb28a049fe))
* @applitools/ec-client bumped to 1.10.3

* @applitools/core bumped to 4.31.0
  #### Features

  * remove iPhoneX from list of available UFG Safari devices ([#2756](https://github.com/Applitools-Dev/sdk/issues/2756)) ([e24d054](https://github.com/Applitools-Dev/sdk/commit/e24d054328df900fbc4988fdbf8213aadffa9a37))


  #### Bug Fixes

  * handle device screen info extraction gracefully ([#2757](https://github.com/Applitools-Dev/sdk/issues/2757)) ([92d0118](https://github.com/Applitools-Dev/sdk/commit/92d0118137b77e49d780092d110973df8ed8b40c))
  * unthrottle renders in offline mode ([#2754](https://github.com/Applitools-Dev/sdk/issues/2754)) ([b65d816](https://github.com/Applitools-Dev/sdk/commit/b65d81610504ae725b7b52611282a1bb28a049fe))



* eyes_core bumped to 6.5.2


## [6.6.1](https://github.com/Applitools-Dev/sdk/compare/ruby/eyes_selenium@6.6.0...ruby/eyes_selenium@6.6.1) (2025-01-19)


### Dependencies

* @applitools/socket bumped to 1.2.1
  #### Bug Fixes

  * mask from config property ([#2739](https://github.com/Applitools-Dev/sdk/issues/2739)) ([6840624](https://github.com/Applitools-Dev/sdk/commit/6840624f5f3f56512dce96547815904adec94704))
* @applitools/req bumped to 1.7.7
  #### Bug Fixes

  * memory usage going high when resource is uint8array ([#2743](https://github.com/Applitools-Dev/sdk/issues/2743)) ([d06deeb](https://github.com/Applitools-Dev/sdk/commit/d06deeb845de62e96ec623efefa90ae65a703736))
* @applitools/spec-driver-webdriver bumped to 1.1.24
  #### Bug Fixes

  * universal core on windows ([#2736](https://github.com/Applitools-Dev/sdk/issues/2736)) ([9bd0744](https://github.com/Applitools-Dev/sdk/commit/9bd0744ca816a020973f20645aeb2460af76f44c))
* @applitools/tunnel-client bumped to 1.6.1
  #### Bug Fixes

  * memory usage going high when resource is uint8array ([#2743](https://github.com/Applitools-Dev/sdk/issues/2743)) ([d06deeb](https://github.com/Applitools-Dev/sdk/commit/d06deeb845de62e96ec623efefa90ae65a703736))



* @applitools/screenshoter bumped to 3.10.4

* @applitools/nml-client bumped to 1.8.23

* @applitools/ufg-client bumped to 1.16.1
  #### Bug Fixes

  * memory usage going high when resource is uint8array ([#2743](https://github.com/Applitools-Dev/sdk/issues/2743)) ([d06deeb](https://github.com/Applitools-Dev/sdk/commit/d06deeb845de62e96ec623efefa90ae65a703736))



* @applitools/core-base bumped to 1.22.1

* @applitools/ec-client bumped to 1.10.2

* @applitools/core bumped to 4.29.1
  #### Bug Fixes

  * mask from config property ([#2739](https://github.com/Applitools-Dev/sdk/issues/2739)) ([6840624](https://github.com/Applitools-Dev/sdk/commit/6840624f5f3f56512dce96547815904adec94704))
  * universal core on windows ([#2736](https://github.com/Applitools-Dev/sdk/issues/2736)) ([9bd0744](https://github.com/Applitools-Dev/sdk/commit/9bd0744ca816a020973f20645aeb2460af76f44c))



* eyes_universal bumped to 4.29.1

* eyes_core bumped to 6.5.1


## [6.6.0](https://github.com/Applitools-Dev/sdk/compare/ruby/eyes_selenium@6.5.1...ruby/eyes_selenium@6.6.0) (2024-12-31)


### Features

* logger masking  ([#2640](https://github.com/Applitools-Dev/sdk/issues/2640)) ([bd69d21](https://github.com/Applitools-Dev/sdk/commit/bd69d21f6341447b1acdb042f4ee1a6328d7428f))


### Dependencies

* @applitools/utils bumped to 1.7.7
  #### Bug Fixes

  * shim process execution functions for browser environment ([#2698](https://github.com/Applitools-Dev/sdk/issues/2698)) ([8d77db4](https://github.com/Applitools-Dev/sdk/commit/8d77db48e1c7fd54cad92c89a819a924255e5868))
* @applitools/logger bumped to 2.1.0
  #### Features

  * logger masking  ([#2640](https://github.com/Applitools-Dev/sdk/issues/2640)) ([bd69d21](https://github.com/Applitools-Dev/sdk/commit/bd69d21f6341447b1acdb042f4ee1a6328d7428f))



* @applitools/dom-snapshot bumped to 4.11.13
  #### Bug Fixes

  * code scanning issue ([#2687](https://github.com/Applitools-Dev/sdk/issues/2687)) ([f301056](https://github.com/Applitools-Dev/sdk/commit/f301056cccfc9cc0c21ceedbd521d8f4b054f058))



* @applitools/socket bumped to 1.2.0
  #### Features

  * logger masking  ([#2640](https://github.com/Applitools-Dev/sdk/issues/2640)) ([bd69d21](https://github.com/Applitools-Dev/sdk/commit/bd69d21f6341447b1acdb042f4ee1a6328d7428f))



* @applitools/req bumped to 1.7.6

* @applitools/image bumped to 1.1.16

* @applitools/dom-capture bumped to 11.5.3
  #### Bug Fixes

  * code scanning issue ([#2687](https://github.com/Applitools-Dev/sdk/issues/2687)) ([f301056](https://github.com/Applitools-Dev/sdk/commit/f301056cccfc9cc0c21ceedbd521d8f4b054f058))
* @applitools/driver bumped to 1.20.2

* @applitools/spec-driver-puppeteer bumped to 1.4.22

* @applitools/tunnel-client bumped to 1.6.0
  #### Features

  * logger masking  ([#2640](https://github.com/Applitools-Dev/sdk/issues/2640)) ([bd69d21](https://github.com/Applitools-Dev/sdk/commit/bd69d21f6341447b1acdb042f4ee1a6328d7428f))



* @applitools/core-base bumped to 1.22.0
  #### Features

  * deterministic output in offline execution ([#2711](https://github.com/Applitools-Dev/sdk/issues/2711)) ([5e8c7ca](https://github.com/Applitools-Dev/sdk/commit/5e8c7ca43c98e7ba6aed0c1a66c5a60b4001aeff))
  * logger masking  ([#2640](https://github.com/Applitools-Dev/sdk/issues/2640)) ([bd69d21](https://github.com/Applitools-Dev/sdk/commit/bd69d21f6341447b1acdb042f4ee1a6328d7428f))



* @applitools/ec-client bumped to 1.10.0
  #### Features

  * logger masking  ([#2640](https://github.com/Applitools-Dev/sdk/issues/2640)) ([bd69d21](https://github.com/Applitools-Dev/sdk/commit/bd69d21f6341447b1acdb042f4ee1a6328d7428f))



* eyes_universal bumped to 4.28.0
  #### Features

  * logger masking  ([#2640](https://github.com/Applitools-Dev/sdk/issues/2640)) ([bd69d21](https://github.com/Applitools-Dev/sdk/commit/bd69d21f6341447b1acdb042f4ee1a6328d7428f))



* @applitools/spec-driver-webdriver bumped to 1.1.22

* @applitools/spec-driver-selenium bumped to 1.5.93

* @applitools/screenshoter bumped to 3.10.2

* @applitools/nml-client bumped to 1.8.21

* @applitools/ufg-client bumped to 1.16.0
  #### Features

  * deterministic output in offline execution ([#2711](https://github.com/Applitools-Dev/sdk/issues/2711)) ([5e8c7ca](https://github.com/Applitools-Dev/sdk/commit/5e8c7ca43c98e7ba6aed0c1a66c5a60b4001aeff))


  #### Bug Fixes

  * code scanning issue ([#2687](https://github.com/Applitools-Dev/sdk/issues/2687)) ([f301056](https://github.com/Applitools-Dev/sdk/commit/f301056cccfc9cc0c21ceedbd521d8f4b054f058))



* @applitools/core bumped to 4.28.0
  #### Features

  * deterministic output in offline execution ([#2711](https://github.com/Applitools-Dev/sdk/issues/2711)) ([5e8c7ca](https://github.com/Applitools-Dev/sdk/commit/5e8c7ca43c98e7ba6aed0c1a66c5a60b4001aeff))
  * logger masking  ([#2640](https://github.com/Applitools-Dev/sdk/issues/2640)) ([bd69d21](https://github.com/Applitools-Dev/sdk/commit/bd69d21f6341447b1acdb042f4ee1a6328d7428f))


  #### Bug Fixes

  * take snapshots with coded regions on pages that has cross origin frames ([#2705](https://github.com/Applitools-Dev/sdk/issues/2705)) ([5972fec](https://github.com/Applitools-Dev/sdk/commit/5972fec890a1454a9f96c4eddcf17634e72111aa))



* eyes_core bumped to 6.5.0
  #### Features

  * logger masking  ([#2640](https://github.com/Applitools-Dev/sdk/issues/2640)) ([bd69d21](https://github.com/Applitools-Dev/sdk/commit/bd69d21f6341447b1acdb042f4ee1a6328d7428f))




## [6.5.1](https://github.com/Applitools-Dev/sdk/compare/ruby/eyes_selenium@6.5.0...ruby/eyes_selenium@6.5.1) (2024-11-27)


### Dependencies

* @applitools/dom-shared bumped to 1.0.16
  #### Bug Fixes

  * enhance error logging in takeScreenshots and pollify functions ([#2644](https://github.com/Applitools-Dev/sdk/issues/2644)) ([2428fa5](https://github.com/Applitools-Dev/sdk/commit/2428fa500a9fd47a803aa5aca9f79e5c5b3584f9))
* @applitools/req bumped to 1.7.4
  #### Bug Fixes

  * set heartbeat request timeout as the request interval ([#2587](https://github.com/Applitools-Dev/sdk/issues/2587)) ([0251d27](https://github.com/Applitools-Dev/sdk/commit/0251d27d9ed44ec247732f66904ae3d4fa4123f1))
* @applitools/core-base bumped to 1.19.3
  #### Bug Fixes

  * set heartbeat request timeout as the request interval ([#2587](https://github.com/Applitools-Dev/sdk/issues/2587)) ([0251d27](https://github.com/Applitools-Dev/sdk/commit/0251d27d9ed44ec247732f66904ae3d4fa4123f1))



* @applitools/dom-capture bumped to 11.5.2

* @applitools/nml-client bumped to 1.8.19

* @applitools/ufg-client bumped to 1.14.1

* @applitools/core bumped to 4.24.2
  #### Bug Fixes

  * don't populate branchName and parentBranchName when scm integration exists ([#2634](https://github.com/Applitools-Dev/sdk/issues/2634)) ([e45d671](https://github.com/Applitools-Dev/sdk/commit/e45d671e11ed40a82de1bd5ab22e757aff00b63f))
  * enhance error logging in takeScreenshots and pollify functions ([#2644](https://github.com/Applitools-Dev/sdk/issues/2644)) ([2428fa5](https://github.com/Applitools-Dev/sdk/commit/2428fa500a9fd47a803aa5aca9f79e5c5b3584f9))



* @applitools/dom-snapshot bumped to 4.11.11

* @applitools/tunnel-client bumped to 1.5.10

* @applitools/ec-client bumped to 1.9.15

* eyes_universal bumped to 4.24.2

* eyes_core bumped to 6.4.2


## [6.5.0](https://github.com/Applitools-Dev/sdk/compare/ruby/eyes_selenium@6.4.0...ruby/eyes_selenium@6.5.0) (2024-10-29)


### Features

* ios 18 devices enum ([#2584](https://github.com/Applitools-Dev/sdk/issues/2584)) ([8eab653](https://github.com/Applitools-Dev/sdk/commit/8eab653f99733839bdec43d86089edc35abcf8e8))


### Dependencies

* @applitools/screenshoter bumped to 3.9.2
  #### Bug Fixes

  * test in screenshoter web ([f068dbe](https://github.com/Applitools-Dev/sdk/commit/f068dbe9036163fb3e316411cfd9f47a226d7c9c))
* @applitools/core bumped to 4.21.2

* eyes_universal bumped to 4.21.2

* eyes_core bumped to 6.4.1


## [6.4.0](https://github.com/Applitools-Dev/sdk/compare/ruby/eyes_selenium@6.3.8...ruby/eyes_selenium@6.4.0) (2024-10-21)


### Features

* add chrome emulation devices ([#2559](https://github.com/Applitools-Dev/sdk/issues/2559)) ([0499aaf](https://github.com/Applitools-Dev/sdk/commit/0499aaf3bb809d2ac0105b4493e6f6bb8730ea3f))
* dynamic regions ([#2538](https://github.com/Applitools-Dev/sdk/issues/2538)) ([d8b5c48](https://github.com/Applitools-Dev/sdk/commit/d8b5c48fb35f9789c702447314dc72b4f415ade1))


### Dependencies

* @applitools/snippets bumped to 2.5.1
  #### Bug Fixes

  * isStaleElement error ([#2567](https://github.com/Applitools-Dev/sdk/issues/2567)) ([2675086](https://github.com/Applitools-Dev/sdk/commit/2675086aa28589082249e2958942ee29a5f2ef12))
* @applitools/core-base bumped to 1.18.0
  #### Features

  * ability to download side by side with highlighted diffs (2419) ([#2530](https://github.com/Applitools-Dev/sdk/issues/2530)) ([e06ce69](https://github.com/Applitools-Dev/sdk/commit/e06ce699f30e9e444ac58dafdf5989ff1c96ca1c))
  * dynamic regions ([#2538](https://github.com/Applitools-Dev/sdk/issues/2538)) ([d8b5c48](https://github.com/Applitools-Dev/sdk/commit/d8b5c48fb35f9789c702447314dc72b4f415ade1))
  * setting up SCM information automatically ([#2542](https://github.com/Applitools-Dev/sdk/issues/2542)) ([696461a](https://github.com/Applitools-Dev/sdk/commit/696461af3f8e2e3ed94eb78fed5ead6233bd16b2))
* @applitools/driver bumped to 1.19.3

* @applitools/spec-driver-webdriver bumped to 1.1.15

* @applitools/spec-driver-selenium bumped to 1.5.86

* @applitools/spec-driver-puppeteer bumped to 1.4.15

* @applitools/screenshoter bumped to 3.9.0
  #### Features

  * capture status bar ([#2571](https://github.com/Applitools-Dev/sdk/issues/2571)) ([5e1c75e](https://github.com/Applitools-Dev/sdk/commit/5e1c75ef9cf34af80f08806a3bceaf06a94f2780))



* @applitools/nml-client bumped to 1.8.13

* @applitools/ec-client bumped to 1.9.9

* @applitools/core bumped to 4.21.0
  #### Features

  * add chrome emulation devices ([#2559](https://github.com/Applitools-Dev/sdk/issues/2559)) ([0499aaf](https://github.com/Applitools-Dev/sdk/commit/0499aaf3bb809d2ac0105b4493e6f6bb8730ea3f))
  * capture status bar ([#2571](https://github.com/Applitools-Dev/sdk/issues/2571)) ([5e1c75e](https://github.com/Applitools-Dev/sdk/commit/5e1c75ef9cf34af80f08806a3bceaf06a94f2780))
  * dynamic regions ([#2538](https://github.com/Applitools-Dev/sdk/issues/2538)) ([d8b5c48](https://github.com/Applitools-Dev/sdk/commit/d8b5c48fb35f9789c702447314dc72b4f415ade1))
  * setting up SCM information automatically ([#2542](https://github.com/Applitools-Dev/sdk/issues/2542)) ([696461a](https://github.com/Applitools-Dev/sdk/commit/696461af3f8e2e3ed94eb78fed5ead6233bd16b2))


  #### Bug Fixes

  * don't remove offline execution folder after running ([654e195](https://github.com/Applitools-Dev/sdk/commit/654e195dd50dc7dab93dd907ec26d788549c6e81))



* eyes_universal bumped to 4.21.0

* eyes_core bumped to 6.4.0
  #### Features

  * dynamic regions ([#2538](https://github.com/Applitools-Dev/sdk/issues/2538)) ([d8b5c48](https://github.com/Applitools-Dev/sdk/commit/d8b5c48fb35f9789c702447314dc72b4f415ade1))




## [6.3.8](https://github.com/Applitools-Dev/sdk/compare/ruby/eyes_selenium@6.3.7...ruby/eyes_selenium@6.3.8) (2024-09-10)


### Bug Fixes

* update ios devices enums ([9b4614f](https://github.com/Applitools-Dev/sdk/commit/9b4614f09bbbe42cf99824d76893f9067aab2cc4))


### Dependencies

* @applitools/dom-capture bumped to 11.4.0
  #### Features

  * ability to capture all css props in computed style ([#2484](https://github.com/Applitools-Dev/sdk/issues/2484)) ([8769ee5](https://github.com/Applitools-Dev/sdk/commit/8769ee566f2d9e163437c7bcd385ec993f05f370))
* @applitools/driver bumped to 1.19.0
  #### Features

  * add support for env var APPLITOOLS_IS_IC ([#2469](https://github.com/Applitools-Dev/sdk/issues/2469)) ([87d7b5c](https://github.com/Applitools-Dev/sdk/commit/87d7b5cc1f7ea774c6b90504e85296f0681d0b1e))


  #### Bug Fixes

  * handle userAgent.brands returned as string ([#2453](https://github.com/Applitools-Dev/sdk/issues/2453)) ([dd6328b](https://github.com/Applitools-Dev/sdk/commit/dd6328be3e7d885714124a8e43aabaae3abecde9))
  * searching for scrollable element multiple times ([#2493](https://github.com/Applitools-Dev/sdk/issues/2493)) ([d98db80](https://github.com/Applitools-Dev/sdk/commit/d98db8016c6312f467f244444c6f1a87bc09b7da))
* @applitools/tunnel-client bumped to 1.5.8
  #### Bug Fixes

  * upgrade execution-grid-tunnel ([#2475](https://github.com/Applitools-Dev/sdk/issues/2475)) ([e5952b4](https://github.com/Applitools-Dev/sdk/commit/e5952b4ca1bd0c065111ce1109b218f1fd68f6fc))



* @applitools/core-base bumped to 1.16.1
  #### Bug Fixes

  * infinity concurrency ([#2477](https://github.com/Applitools-Dev/sdk/issues/2477)) ([f488e16](https://github.com/Applitools-Dev/sdk/commit/f488e162f124acc249ed7b43b714f13c18306dc8))
* @applitools/spec-driver-webdriver bumped to 1.1.12

* @applitools/spec-driver-selenium bumped to 1.5.83

* @applitools/spec-driver-puppeteer bumped to 1.4.12

* @applitools/screenshoter bumped to 3.8.36

* @applitools/nml-client bumped to 1.8.10

* @applitools/ec-client bumped to 1.9.4

* @applitools/core bumped to 4.18.2
  #### Bug Fixes

  * don't call check-network when executing binary and cli ([#2491](https://github.com/Applitools-Dev/sdk/issues/2491)) ([ef00d20](https://github.com/Applitools-Dev/sdk/commit/ef00d205450b7bbe7abc1bc9bce8d6970f769091))



* eyes_universal bumped to 4.18.2

* eyes_core bumped to 6.3.8


## [6.3.7](https://github.com/Applitools-Dev/sdk/compare/ruby/eyes_selenium@6.3.6...ruby/eyes_selenium@6.3.7) (2024-07-23)


### Dependencies

* @applitools/driver bumped to 1.18.0
  #### Features

  * disable broker url cache ([#2428](https://github.com/Applitools-Dev/sdk/issues/2428)) ([cb8d5fe](https://github.com/Applitools-Dev/sdk/commit/cb8d5fefb13d3ab42984d2bd4d4ac3d4e10646b0))


  #### Bug Fixes

  * executing web script on mobile environment ([#2380](https://github.com/Applitools-Dev/sdk/issues/2380)) ([da2e551](https://github.com/Applitools-Dev/sdk/commit/da2e551e01082d3cc21b9da5b43e6680233c080d))
* @applitools/spec-driver-webdriver bumped to 1.1.11

* @applitools/spec-driver-selenium bumped to 1.5.82

* @applitools/spec-driver-puppeteer bumped to 1.4.11

* @applitools/screenshoter bumped to 3.8.35

* @applitools/nml-client bumped to 1.8.9

* @applitools/ufg-client bumped to 1.12.3
  #### Bug Fixes

  * update makeUploadResource to include apiKey in the cache key ([#2411](https://github.com/Applitools-Dev/sdk/issues/2411)) ([4114c58](https://github.com/Applitools-Dev/sdk/commit/4114c58ec16fa855374b23810cef1e36d4bb53a7))


  #### Performance Improvements

  * trim file content when logging it ([#2437](https://github.com/Applitools-Dev/sdk/issues/2437)) ([02ec1f7](https://github.com/Applitools-Dev/sdk/commit/02ec1f79a323af2e89a7428b75212707c761d1ca))
* @applitools/ec-client bumped to 1.9.3

* @applitools/core bumped to 4.18.0
  #### Features

  * disable broker url cache ([#2428](https://github.com/Applitools-Dev/sdk/issues/2428)) ([cb8d5fe](https://github.com/Applitools-Dev/sdk/commit/cb8d5fefb13d3ab42984d2bd4d4ac3d4e10646b0))



* eyes_universal bumped to 4.18.0

* eyes_core bumped to 6.3.7


## [6.3.6](https://github.com/Applitools-Dev/sdk/compare/ruby/eyes_selenium@6.3.5...ruby/eyes_selenium@6.3.6) (2024-05-28)


### Dependencies

* @applitools/req bumped to 1.7.0
  #### Features

  * dynamic timeout based on uploaded file size ([#2364](https://github.com/Applitools-Dev/sdk/issues/2364)) ([8a82d68](https://github.com/Applitools-Dev/sdk/commit/8a82d6839ace60fda27e153ba233019f137017fe))
* @applitools/nml-client bumped to 1.8.5

* @applitools/tunnel-client bumped to 1.5.3

* @applitools/ufg-client bumped to 1.12.0
  #### Features

  * dynamic timeout based on uploaded file size ([#2364](https://github.com/Applitools-Dev/sdk/issues/2364)) ([8a82d68](https://github.com/Applitools-Dev/sdk/commit/8a82d6839ace60fda27e153ba233019f137017fe))



* @applitools/ec-client bumped to 1.8.6

* @applitools/core-base bumped to 1.15.0
  #### Features

  * tell Splunk when clients assume `Target`'s mutability ([#2266](https://github.com/Applitools-Dev/sdk/issues/2266)) ([d18a524](https://github.com/Applitools-Dev/sdk/commit/d18a52491fb6a64e780f84ccff1dcf945351bf95))


  #### Bug Fixes

  * multiple heartbeats for multiple runners in the same process ([#2372](https://github.com/Applitools-Dev/sdk/issues/2372)) ([6ec0f0d](https://github.com/Applitools-Dev/sdk/commit/6ec0f0de7d69a69cdab8437df910a82df15479ea))



* @applitools/core bumped to 4.16.0
  #### Features

  * tell Splunk when clients assume `Target`'s mutability ([#2266](https://github.com/Applitools-Dev/sdk/issues/2266)) ([d18a524](https://github.com/Applitools-Dev/sdk/commit/d18a52491fb6a64e780f84ccff1dcf945351bf95))


  #### Bug Fixes

  * multiple heartbeats for multiple runners in the same process ([#2372](https://github.com/Applitools-Dev/sdk/issues/2372)) ([6ec0f0d](https://github.com/Applitools-Dev/sdk/commit/6ec0f0de7d69a69cdab8437df910a82df15479ea))
  * throw from createRenderResults if rendering failed ([#2352](https://github.com/Applitools-Dev/sdk/issues/2352)) ([50b0394](https://github.com/Applitools-Dev/sdk/commit/50b0394f35464f4d61dd578bf7e84947af00b99b))


  #### Performance Improvements

  * don't wait for ufg client when take-snapshots performed on non-… ([#2366](https://github.com/Applitools-Dev/sdk/issues/2366)) ([4d8ab41](https://github.com/Applitools-Dev/sdk/commit/4d8ab41a421ff9b7f6f7d107bc8c5e9647404430))


  #### Code Refactoring

  * remove eyesServerUrl and apiKey when not necessary ([#2345](https://github.com/Applitools-Dev/sdk/issues/2345)) ([121ae5d](https://github.com/Applitools-Dev/sdk/commit/121ae5d00417d70d9857b8199b4bcfd92de353c6))



* eyes_universal bumped to 4.16.0

* eyes_core bumped to 6.3.6


## [6.3.5](https://github.com/Applitools-Dev/sdk/compare/ruby/eyes_selenium@6.3.4...ruby/eyes_selenium@6.3.5) (2024-05-07)


### Dependencies

* @applitools/dom-capture bumped to 11.2.7
  #### Bug Fixes

  * capture user input from input elements ([#2347](https://github.com/Applitools-Dev/sdk/issues/2347)) ([f82d3bb](https://github.com/Applitools-Dev/sdk/commit/f82d3bbc79c624ab7e8eeade7559b523f6adfeac))
* @applitools/core-base bumped to 1.14.0
  #### Features

  * expose git latest commit info in env vars ([#2349](https://github.com/Applitools-Dev/sdk/issues/2349)) ([1db248c](https://github.com/Applitools-Dev/sdk/commit/1db248c83ee1cbc83f905163fe5bd63dd5e293c2))
  * long eyes requests with custom domain ([#2343](https://github.com/Applitools-Dev/sdk/issues/2343)) ([d54beea](https://github.com/Applitools-Dev/sdk/commit/d54beea8c33a56a0516904773daaa5095340fd12))
* @applitools/core bumped to 4.15.0
  #### Features

  * expose git latest commit info in env vars ([#2349](https://github.com/Applitools-Dev/sdk/issues/2349)) ([1db248c](https://github.com/Applitools-Dev/sdk/commit/1db248c83ee1cbc83f905163fe5bd63dd5e293c2))



* @applitools/ec-client bumped to 1.8.5

* eyes_universal bumped to 4.15.0

* eyes_core bumped to 6.3.5


## [6.3.4](https://github.com/Applitools-Dev/sdk/compare/ruby/eyes_selenium@6.3.3...ruby/eyes_selenium@6.3.4) (2024-05-01)


### Dependencies

* @applitools/dom-snapshot bumped to 4.11.1
  #### Bug Fixes

  * support for using unicode and just using escape with numbers ([#2241](https://github.com/Applitools-Dev/sdk/issues/2241)) ([c59f47f](https://github.com/Applitools-Dev/sdk/commit/c59f47f73585d7f308c43c9ee1845e097a2111a3))
* @applitools/driver bumped to 1.17.2
  #### Bug Fixes

  * cache nml client per driver ([#2336](https://github.com/Applitools-Dev/sdk/issues/2336)) ([02c09a5](https://github.com/Applitools-Dev/sdk/commit/02c09a53eb6ca6340c93365908f4c485ab389c21))
* @applitools/core-base bumped to 1.13.0
  #### Features

  * `matchTimeout` ([#2309](https://github.com/Applitools-Dev/sdk/issues/2309)) ([626529e](https://github.com/Applitools-Dev/sdk/commit/626529e839fd2a96ac0de98332f42873c0f387a4))
* @applitools/spec-driver-webdriver bumped to 1.1.7

* @applitools/spec-driver-selenium bumped to 1.5.78

* @applitools/spec-driver-puppeteer bumped to 1.4.7

* @applitools/screenshoter bumped to 3.8.31

* @applitools/nml-client bumped to 1.8.4

* @applitools/ec-client bumped to 1.8.4

* @applitools/core bumped to 4.14.0
  #### Features

  * `matchTimeout` ([#2309](https://github.com/Applitools-Dev/sdk/issues/2309)) ([626529e](https://github.com/Applitools-Dev/sdk/commit/626529e839fd2a96ac0de98332f42873c0f387a4))


  #### Bug Fixes

  * cache nml client per driver ([#2336](https://github.com/Applitools-Dev/sdk/issues/2336)) ([02c09a5](https://github.com/Applitools-Dev/sdk/commit/02c09a53eb6ca6340c93365908f4c485ab389c21))
  * support for using unicode and just using escape with numbers ([#2241](https://github.com/Applitools-Dev/sdk/issues/2241)) ([c59f47f](https://github.com/Applitools-Dev/sdk/commit/c59f47f73585d7f308c43c9ee1845e097a2111a3))



* eyes_universal bumped to 4.14.0

* eyes_core bumped to 6.3.4


## [6.3.3](https://github.com/Applitools-Dev/sdk/compare/ruby/eyes_selenium@6.3.2...ruby/eyes_selenium@6.3.3) (2024-04-15)


### Dependencies

* @applitools/utils bumped to 1.7.1
  #### Bug Fixes

  * region intersection algorithm ([#2290](https://github.com/Applitools-Dev/sdk/issues/2290)) ([aaa8d0c](https://github.com/Applitools-Dev/sdk/commit/aaa8d0cbcb0e39d23d652c2caf9d27bfaed0d2eb))
* @applitools/logger bumped to 2.0.15

* @applitools/req bumped to 1.6.6

* @applitools/image bumped to 1.1.10

* @applitools/spec-driver-webdriver bumped to 1.1.4

* @applitools/spec-driver-selenium bumped to 1.5.75

* @applitools/spec-driver-puppeteer bumped to 1.4.4

* @applitools/driver bumped to 1.16.6

* @applitools/screenshoter bumped to 3.8.28

* @applitools/nml-client bumped to 1.8.1

* @applitools/tunnel-client bumped to 1.5.1
  #### Bug Fixes

  * create tunnels in australia when passed region in create ([#2322](https://github.com/Applitools-Dev/sdk/issues/2322)) ([f679989](https://github.com/Applitools-Dev/sdk/commit/f6799894b9630d2c56cd85a34d377f488ed75b9c))



* @applitools/ufg-client bumped to 1.11.1

* @applitools/ec-client bumped to 1.8.1
  #### Bug Fixes

  * change tunnel idle timeout to 20 seconds ([#2318](https://github.com/Applitools-Dev/sdk/issues/2318)) ([9b3873c](https://github.com/Applitools-Dev/sdk/commit/9b3873c180a130a01212d857b084efe51d6d30a4))
  * create tunnels in australia when passed region in create ([#2322](https://github.com/Applitools-Dev/sdk/issues/2322)) ([f679989](https://github.com/Applitools-Dev/sdk/commit/f6799894b9630d2c56cd85a34d377f488ed75b9c))



* @applitools/core bumped to 4.12.2
  #### Bug Fixes

  * region intersection algorithm ([#2290](https://github.com/Applitools-Dev/sdk/issues/2290)) ([aaa8d0c](https://github.com/Applitools-Dev/sdk/commit/aaa8d0cbcb0e39d23d652c2caf9d27bfaed0d2eb))



* @applitools/socket bumped to 1.1.15

* @applitools/core-base bumped to 1.11.1

* eyes_universal bumped to 4.12.2

* eyes_core bumped to 6.3.3


## [6.3.2](https://github.com/Applitools-Dev/sdk/compare/ruby/eyes_selenium@6.3.1...ruby/eyes_selenium@6.3.2) (2024-04-01)


### Bug Fixes

* trigger js core, python, ruby, dotnet release ([f072fd2](https://github.com/Applitools-Dev/sdk/commit/f072fd219aeb095e6caa94eed42d5ffb9b14f483))


### Dependencies

* @applitools/core bumped to 4.11.2
  #### Bug Fixes

  * trigger js core, python, ruby, dotnet release ([f072fd2](https://github.com/Applitools-Dev/sdk/commit/f072fd219aeb095e6caa94eed42d5ffb9b14f483))
* eyes_universal bumped to 4.11.2
  #### Bug Fixes

  * trigger js core, python, ruby, dotnet release ([f072fd2](https://github.com/Applitools-Dev/sdk/commit/f072fd219aeb095e6caa94eed42d5ffb9b14f483))



* eyes_core bumped to 6.3.2
  #### Bug Fixes

  * trigger js core, python, ruby, dotnet release ([f072fd2](https://github.com/Applitools-Dev/sdk/commit/f072fd219aeb095e6caa94eed42d5ffb9b14f483))




## [6.3.1](https://github.com/Applitools-Dev/sdk/compare/ruby/eyes_selenium@6.3.0...ruby/eyes_selenium@6.3.1) (2024-03-31)


### Dependencies

* @applitools/spec-driver-selenium bumped to 1.5.73
  #### Bug Fixes

  * remove getSessionDetails call in JS Selenium ([#2280](https://github.com/Applitools-Dev/sdk/issues/2280)) ([d15748f](https://github.com/Applitools-Dev/sdk/commit/d15748f68c931f2f84c13efd8472399c1ff72e25))
* @applitools/core-base bumped to 1.10.0
  #### Features

  * Add GitMergeBaseTimestamp support ([#2281](https://github.com/Applitools-Dev/sdk/issues/2281)) ([5489608](https://github.com/Applitools-Dev/sdk/commit/54896085445663a51b5e5595a2517e48fa8736f3))
  * batch buildId ([#2263](https://github.com/Applitools-Dev/sdk/issues/2263)) ([f19ac38](https://github.com/Applitools-Dev/sdk/commit/f19ac38612bc55d870f59161a39b5b7eb01e25f3))
  * send heartbeat to keep test alive ([#2246](https://github.com/Applitools-Dev/sdk/issues/2246)) ([58636e7](https://github.com/Applitools-Dev/sdk/commit/58636e7dd353f06eb2b3bee1120ab81c3f9fcc94))


  #### Bug Fixes

  * retry Eyes request on ECONNREFUSED to improve stability during deployment ([d1e4dca](https://github.com/Applitools-Dev/sdk/commit/d1e4dcae79185578808b4f2c5f94fa79d7d914a3))
* @applitools/core bumped to 4.11.0
  #### Features

  * Add GitMergeBaseTimestamp support ([#2281](https://github.com/Applitools-Dev/sdk/issues/2281)) ([5489608](https://github.com/Applitools-Dev/sdk/commit/54896085445663a51b5e5595a2517e48fa8736f3))
  * batch buildId ([#2263](https://github.com/Applitools-Dev/sdk/issues/2263)) ([f19ac38](https://github.com/Applitools-Dev/sdk/commit/f19ac38612bc55d870f59161a39b5b7eb01e25f3))



* @applitools/ec-client bumped to 1.7.31

* eyes_universal bumped to 4.11.0

* eyes_core bumped to 6.3.1


## [6.3.0](https://github.com/Applitools-Dev/sdk/compare/ruby/eyes_selenium@6.2.0...ruby/eyes_selenium@6.3.0) (2024-03-20)


### Features

* align ruby versions ([b8bcdad](https://github.com/Applitools-Dev/sdk/commit/b8bcdad730c5d22fea6c5eacb5c8646b1241ef87))


### Bug Fixes

* trigger python,ruby,dotnet release ([14cb160](https://github.com/Applitools-Dev/sdk/commit/14cb160b3559fbc838261fb51cafb228dd213374))
* trigger ruby,python,dotnet release ([9326ee0](https://github.com/Applitools-Dev/sdk/commit/9326ee0f0e1a21a9be262893f77b5d19646da64a))


### Dependencies

* @applitools/core bumped to 4.10.5
  #### Bug Fixes

  * include js core in ruby,python,dotnet release PR ([8326659](https://github.com/Applitools-Dev/sdk/commit/83266595ca3d2e21d7e2d5a50d299c42de4ea96c))
* eyes_universal bumped to 4.10.5
  #### Features

  * align ruby versions ([b8bcdad](https://github.com/Applitools-Dev/sdk/commit/b8bcdad730c5d22fea6c5eacb5c8646b1241ef87))


  #### Bug Fixes

  * trigger python,ruby,dotnet release ([14cb160](https://github.com/Applitools-Dev/sdk/commit/14cb160b3559fbc838261fb51cafb228dd213374))
  * trigger ruby,python,dotnet release ([9326ee0](https://github.com/Applitools-Dev/sdk/commit/9326ee0f0e1a21a9be262893f77b5d19646da64a))



* eyes_core bumped to 6.3.0
  #### Features

  * align ruby versions ([b8bcdad](https://github.com/Applitools-Dev/sdk/commit/b8bcdad730c5d22fea6c5eacb5c8646b1241ef87))


  #### Bug Fixes

  * trigger python,ruby,dotnet release ([14cb160](https://github.com/Applitools-Dev/sdk/commit/14cb160b3559fbc838261fb51cafb228dd213374))
  * trigger ruby,python,dotnet release ([9326ee0](https://github.com/Applitools-Dev/sdk/commit/9326ee0f0e1a21a9be262893f77b5d19646da64a))




## [6.2.0](https://github.com/Applitools-Dev/sdk/compare/ruby/eyes_selenium@6.1.3...ruby/eyes_selenium@6.2.0) (2024-03-20)


### Features

* bump minor version in all ruby packages ([2a59606](https://github.com/Applitools-Dev/sdk/commit/2a596062675a71203a6c6b15249223a17f25a841))


### Bug Fixes

* trigger ruby release ([0e21c98](https://github.com/Applitools-Dev/sdk/commit/0e21c98f7743299153f79aa7b5ee4ce5486c04f6))


### Dependencies

* @applitools/core bumped to 4.10.4
  #### Bug Fixes

  * include js core in ruby release PR ([be9b7f1](https://github.com/Applitools-Dev/sdk/commit/be9b7f150e72982f2a6171553864fd4561df0d8f))
* eyes_universal bumped to 4.10.4
  #### Bug Fixes

  * trigger ruby release ([0e21c98](https://github.com/Applitools-Dev/sdk/commit/0e21c98f7743299153f79aa7b5ee4ce5486c04f6))



* eyes_core bumped to 6.2.0
  #### Features

  * bump minor version in core ruby package ([62a3db2](https://github.com/Applitools-Dev/sdk/commit/62a3db2143ec2a8ecfcde7f3d179139678fb326b))


  #### Bug Fixes

  * trigger ruby release ([0e21c98](https://github.com/Applitools-Dev/sdk/commit/0e21c98f7743299153f79aa7b5ee4ce5486c04f6))




## [6.1.3](https://github.com/Applitools-Dev/sdk/compare/ruby/eyes_selenium@6.1.2...ruby/eyes_selenium@6.1.3) (2024-03-19)


### Bug Fixes

* trigger release for python,ruby,dotnet ([8b3b316](https://github.com/Applitools-Dev/sdk/commit/8b3b3167bbf9f9069176cb597991693a06b5328e))


### Dependencies

* @applitools/core bumped to 4.10.3
  #### Bug Fixes

  * trigger release of js core ([3518656](https://github.com/Applitools-Dev/sdk/commit/351865693f0ca700c563d079e78fe1ef9b557d36))
* eyes_universal bumped to 4.10.3
  #### Bug Fixes

  * trigger release for python,ruby,dotnet ([8b3b316](https://github.com/Applitools-Dev/sdk/commit/8b3b3167bbf9f9069176cb597991693a06b5328e))



* eyes_core bumped to 6.1.3
  #### Bug Fixes

  * trigger release for python,ruby,dotnet ([8b3b316](https://github.com/Applitools-Dev/sdk/commit/8b3b3167bbf9f9069176cb597991693a06b5328e))




## [6.1.2](https://github.com/Applitools-Dev/sdk/compare/ruby/eyes_selenium@6.1.1...ruby/eyes_selenium@6.1.2) (2024-03-17)


### Dependencies

* @applitools/css-tree bumped to 1.1.0
  #### Features

  * support [@container](https://github.com/container) and [@layer](https://github.com/layer) cssom rules ([#2209](https://github.com/Applitools-Dev/sdk/issues/2209)) ([7da07c4](https://github.com/Applitools-Dev/sdk/commit/7da07c4f5b7f338fb5944ce244af8f2de928cab6))
* @applitools/dom-snapshot bumped to 4.9.0
  #### Features

  * support [@container](https://github.com/container) and [@layer](https://github.com/layer) cssom rules ([#2209](https://github.com/Applitools-Dev/sdk/issues/2209)) ([7da07c4](https://github.com/Applitools-Dev/sdk/commit/7da07c4f5b7f338fb5944ce244af8f2de928cab6))



* @applitools/driver bumped to 1.16.3
  #### Bug Fixes

  * skip execution of getCurrentWorld and getWorlds when env var is set ([#2234](https://github.com/Applitools-Dev/sdk/issues/2234)) ([3a88602](https://github.com/Applitools-Dev/sdk/commit/3a886028b0437b73dae0474408d9bb74ba940dec))
  * trigger build ([acb9c88](https://github.com/Applitools-Dev/sdk/commit/acb9c88161cf55e8b1e409425b5571d69a2e1d5c))
* @applitools/ufg-client bumped to 1.10.0
  #### Features

  * support [@container](https://github.com/container) and [@layer](https://github.com/layer) cssom rules ([#2209](https://github.com/Applitools-Dev/sdk/issues/2209)) ([7da07c4](https://github.com/Applitools-Dev/sdk/commit/7da07c4f5b7f338fb5944ce244af8f2de928cab6))
  * throttle fetching resources by default ([#2216](https://github.com/Applitools-Dev/sdk/issues/2216)) ([a2da800](https://github.com/Applitools-Dev/sdk/commit/a2da80076eb30241a168500903a9d80344900213))



* @applitools/core bumped to 4.10.0
  #### Features

  * support webview in nml ([#2236](https://github.com/Applitools-Dev/sdk/issues/2236)) ([b4440d8](https://github.com/Applitools-Dev/sdk/commit/b4440d86a863d1af8089f8606ac6819636fa46f4))



* @applitools/spec-driver-webdriver bumped to 1.1.1

* @applitools/spec-driver-selenium bumped to 1.5.70

* @applitools/spec-driver-puppeteer bumped to 1.4.1

* @applitools/screenshoter bumped to 3.8.25

* @applitools/nml-client bumped to 1.7.3

* @applitools/ec-client bumped to 1.7.28

* eyes_universal bumped to 4.10.0

* eyes_core bumped to 6.1.2


## [6.1.1](https://github.com/applitools/eyes.sdk.javascript1/compare/ruby/eyes_selenium@6.1.0...ruby/eyes_selenium@6.1.1) (2024-02-29)


### Dependencies

* @applitools/req bumped to 1.6.5
  #### Bug Fixes

  * fixed url concatenation logic ([#2197](https://github.com/applitools/eyes.sdk.javascript1/issues/2197)) ([c3b2e0a](https://github.com/applitools/eyes.sdk.javascript1/commit/c3b2e0ad47f002978544eaac759a80f18f7c5ee3))
* @applitools/dom-shared bumped to 1.0.13
  #### Bug Fixes

  * dont execute script synchronously in polling ([#2228](https://github.com/applitools/eyes.sdk.javascript1/issues/2228)) ([04f525b](https://github.com/applitools/eyes.sdk.javascript1/commit/04f525bcac19bc2fb7240928add28f71efcef0ea))
* @applitools/core-base bumped to 1.9.1
  #### Bug Fixes

  * fixed url concatenation logic ([#2197](https://github.com/applitools/eyes.sdk.javascript1/issues/2197)) ([c3b2e0a](https://github.com/applitools/eyes.sdk.javascript1/commit/c3b2e0ad47f002978544eaac759a80f18f7c5ee3))



* @applitools/dom-capture bumped to 11.2.6

* @applitools/dom-snapshot bumped to 4.8.1

* @applitools/nml-client bumped to 1.7.2

* @applitools/tunnel-client bumped to 1.4.1
  #### Bug Fixes

  * upgrade execution-grid-tunnel to avoid port collision ([751e4e2](https://github.com/applitools/eyes.sdk.javascript1/commit/751e4e2441eb85604bbece0a9dbe18fa16b23847))



* @applitools/ufg-client bumped to 1.9.10

* @applitools/ec-client bumped to 1.7.27

* @applitools/core bumped to 4.9.1

* eyes_universal bumped to 4.9.1

* eyes_core bumped to 6.1.1


## [6.1.0](https://github.com/applitools/eyes.sdk.javascript1/compare/ruby/eyes_selenium-v6.0.4...ruby/eyes_selenium@6.1.0) (2024-02-19)


### Features

* add Eyes.getResults method ([#2046](https://github.com/applitools/eyes.sdk.javascript1/issues/2046)) ([#2069](https://github.com/applitools/eyes.sdk.javascript1/issues/2069)) ([4d263e1](https://github.com/applitools/eyes.sdk.javascript1/commit/4d263e19cb5e5708790a1a7ef90ff8f3eee50d91))
* added notification about outdated sdk version ([#2012](https://github.com/applitools/eyes.sdk.javascript1/issues/2012)) ([0f0a646](https://github.com/applitools/eyes.sdk.javascript1/commit/0f0a6462a56e7c97f9a22173c3b63af91e220adb))


### Dependencies

* @applitools/dom-snapshot bumped to 4.7.17
  #### Bug Fixes

  * throw error for encoding none unicode char ([#2171](https://github.com/applitools/eyes.sdk.javascript1/issues/2171)) ([4edb9cf](https://github.com/applitools/eyes.sdk.javascript1/commit/4edb9cfb27d8db2ff4cb09c8ebf1b95ab020633d))
* @applitools/spec-driver-webdriver bumped to 1.0.57
  #### Bug Fixes

  * fixed issue with cdp commands on chromium browsers ([#2180](https://github.com/applitools/eyes.sdk.javascript1/issues/2180)) ([550fc77](https://github.com/applitools/eyes.sdk.javascript1/commit/550fc772d3988aae29e6f4a1a11d2a408072dc38))
* @applitools/spec-driver-puppeteer bumped to 1.4.0
  #### Features

  * added support for puppeteer &gt;= 22 ([#2185](https://github.com/applitools/eyes.sdk.javascript1/issues/2185)) ([59d23a9](https://github.com/applitools/eyes.sdk.javascript1/commit/59d23a9689d77c7db06df53b67fa293a3b3f166e))
* @applitools/nml-client bumped to 1.7.0
  #### Features

  * add support for regions and calculated regions ([#2161](https://github.com/applitools/eyes.sdk.javascript1/issues/2161)) ([fea4b1f](https://github.com/applitools/eyes.sdk.javascript1/commit/fea4b1fca3d8f59eada2b5186cd32d47352ccf1a))


  #### Bug Fixes

  * missing viewport when using system screenshot and multi viewport ([#2173](https://github.com/applitools/eyes.sdk.javascript1/issues/2173)) ([411283c](https://github.com/applitools/eyes.sdk.javascript1/commit/411283c7bebc09f178d73b6b47e81e5ce4244d5e))



* @applitools/screenshoter bumped to 3.8.23

* @applitools/ec-client bumped to 1.7.25

* @applitools/core bumped to 4.8.0
  #### Features

  * add support for regions and calculated regions ([#2161](https://github.com/applitools/eyes.sdk.javascript1/issues/2161)) ([fea4b1f](https://github.com/applitools/eyes.sdk.javascript1/commit/fea4b1fca3d8f59eada2b5186cd32d47352ccf1a))


  #### Bug Fixes

  * missing viewport when using system screenshot and multi viewport ([#2173](https://github.com/applitools/eyes.sdk.javascript1/issues/2173)) ([411283c](https://github.com/applitools/eyes.sdk.javascript1/commit/411283c7bebc09f178d73b6b47e81e5ce4244d5e))
  * nml coded region integration with universal ([6fb0934](https://github.com/applitools/eyes.sdk.javascript1/commit/6fb09348238dfe4698856f88e762a9abf80c686f))
  * throw error for encoding none unicode char ([#2171](https://github.com/applitools/eyes.sdk.javascript1/issues/2171)) ([4edb9cf](https://github.com/applitools/eyes.sdk.javascript1/commit/4edb9cfb27d8db2ff4cb09c8ebf1b95ab020633d))



* eyes_universal bumped to 4.8.0

* eyes_core bumped to 6.1.0
  #### Features

  * add Eyes.getResults method ([#2046](https://github.com/applitools/eyes.sdk.javascript1/issues/2046)) ([#2069](https://github.com/applitools/eyes.sdk.javascript1/issues/2069)) ([4d263e1](https://github.com/applitools/eyes.sdk.javascript1/commit/4d263e19cb5e5708790a1a7ef90ff8f3eee50d91))
  * added notification about outdated sdk version ([#2012](https://github.com/applitools/eyes.sdk.javascript1/issues/2012)) ([0f0a646](https://github.com/applitools/eyes.sdk.javascript1/commit/0f0a6462a56e7c97f9a22173c3b63af91e220adb))
  * generate more enums ([#2179](https://github.com/applitools/eyes.sdk.javascript1/issues/2179)) ([5f4f916](https://github.com/applitools/eyes.sdk.javascript1/commit/5f4f91621b791a02464191123f69b12f590b9efe))




## [6.0.4] (2024-02-05)

* ### Bug Fixes
  * Move from state_machine to state_machines gem (ROR with i18n compatability issue)

## [6.0.3] (2024-02-02)

* ### Bug Fixes
    * Fix Ruby 3 compatability issue with i18n integration
    * Fix locate id parsing

* ### Features
    * Add configure block-style of eyes_images configuration

### Dependencies

* ### Updated
    * Update version of Universal SDK Core to 4.7.0

* ### Features
    * added support of proxy server url env var

* ### Bug Fixes
    * losing root context after layout breakpoints reload
    * add environment variable for setting ufg server ufg
    * remove local environment id

## [6.0.2] (2024-01-03)

### Updated
* Update version of Universal SDK Core to 4.5.2

### Dependencies

* ### Features
   * sign windows binaries
   * support updated applitools lib protocol
   * add set of env variables to skip/ignore some optional automations

* ### Bug Fixes

   * layout breakpoints reload and lazy load
   * fix safe selector generation
   * fixed issue when page wasn't reloaded for one of the breakpoints if the initial viewport size matches it
   * avoid caching concurrency
   * environment for each check for local environment
   * fixed concurrency splank logging
   * fixed the issue when custom os name passed through configuration wasn't respected


## [6.0.1] (2023-12-13)
### Bug Fixes
* fix code loading error (NameError in environment_sdk)

## [6.0.0] (2023-12-13)

### Dependencies

### Breaking Changes:
*  #### Features
    * Update version of Universal SDK Core to v4

*  #### Added
    * new api eyes.get_results to get results

*  #### Removed
    * eyes.checks now returns nil (added new eyes.get_results to get a results)

### Features
* added notification about outdated sdk version
* log driver environment info to splank
* show aborted tests in Eyes dashboard
* allowed running multiple classic test with different devices for applitoolsified native apps
* add more logs for tunnel worker
* added warning when driver used with capabilities that may conflict with applitools lib workflow
### Bug Fixes
* fix custom sequence_name in BatchInfo
* suppport coded regions with layoutBreakpoints reload
* update dom-snapshot to support xml pages and parens inside css URLs
* upgrade dom-capture to get font-family in DOM
* change expiration time of the tunnel
* async cache should wait for upload
* async cache race condition
* allow css scrolling when taking screenshot of the webview
* generate safe selectors as close as possible to taking dom snapshot
* added retries on ufg requests that respond with 503 status code
* fix incorrect stitchMode mapping in checkSettings
* handled duplicated style properties in inline style tags
* fixed issue that caused dom snapshots to be taken for different viewport sizes when layout breakpoints were explicitly turned off
* remove some connection timeout in case of a long running tasks
* return result when error in the ufg
* send devtool commands in chromium
* preserve css declarations order in dom-snapshot
* do not block concurrency when server response is 503
### Code Refactoring
* reorganized code between gems

## [5.0.0] - 2023-07-11
### Breaking Changes:
- get_all_test_results return TestResultSummary with additional info
- TestResults Array now in get_all_test_results.results or can be accessed old-style with get_all_test_results[0]
- eyes.close always return first result, even when have failed check
- eyes.abort on closed/aborted eye now return nil
### Added
- Add support for reloading the page when using layout_breakpoints
- add errors to TestResults
### Updated
- Update version of Universal SDK Core to 3.6.0
### Features
- ability to skip deserialize dom snapshot
- prevent animated gif images from playing in ufg
- support custom property per renderer
### Bug fixes
- fixed issue that caused creation of unnecessary tunnels
- start tunnels with proper regional server
## [4.6.3] - 2023-07-04
### Updated
- Update version of Universal SDK Core to 3.4.0
### Added
- Add api for mobile (set_nmg_capabilities, set_mobile_capabilities, use_system_screenshot)
### Features
- Drop support of legacy vhs extraction
- Add an API to send logEvents
- Add support for reloading the page when using layoutBreakpoints
- Fixed issue with failed find element responses in EC
- Fixed issue when on certain browser versions test didn't target a previously created baseline
- added a new mode for taking native app screenshots
### Bug fixes
- Increase timeout for rendering results polling
- Fixed issue when logs are not show up
- Add isProcess property when calling makeCoreServer
- Fixed issue with Safari mobile screenshots
- Fixed issue with default settings in extractText
- Fixed issue with viewport information extraction when switched to webview
- apply default scrolling mode
## [4.6.2] - 2023-05-10
### Added
- Add remove_duplicate_tests option & set_remove_duplicate_tests method to eyes runner 
### Updated
- Update version of Universal SDK Core to 2.5.8
### Features
- Added functional session feature
- Add a timeout and max concurrency for fetching resources
### Bug fixes
- Fixed issue in dom snapshot that prevented urls that start with a whitespace to be mapped
- Improved appium prefixed capabilities parsing
- Fix issue when locate return wrong type of the region, with left and top properties instead of x and y
- Fixed issue with when webview were wasn't recognized as web compatible world
- Fixed the issue with session metadata extraction
- Fixed functional test feature issues in ec client
- Fixed typo in ec custom property
- Fixed issue with hanging requests
- Fixed platform name formatting
- Prevented driver metadata extraction during check in ufg eyes
- Fixed dynamic import issue in universal binaries
- Fixed detection of emulated mobile drivers
- Remove 'Execution Cloud' custom property
## [4.6.1] - 2023-04-12
### Changed
- Packaging server core inside eyes_universal
### Updated
- Update version of Universal SDK Core to 2.4.8
### Features
- Added removeDuplicateTests property to the GetManagerResultsSettings
- Changed makeManager api to accept settings
- Improved extraction of nml element
- Update broker url using last response instead of using driver
### Bug fixes
- Fixed screenshot framing
- Fixed issue with css fetching for dom capture
- Fixed issue with emulation driver detection
- Fixed relative url resolution in css files
- Added timeout to css fetching during preparing dom capture
- Improve performance in DOM snapshot
- Fixed retry interval during poll requests to eyes back-end
- Fixed issue with concurrency of the renders in ufg mode
- Fixed issue with concurrency of the renders in ufg mode
- Fixed ufg concurrency regression
- Replaced broker url cache with nml element cache
- Fixed selector transformation for scroll root elements for ufg
- Upgrade tunnel version
## [4.6.0] - 2023-03-06
### Changed
- change server package to @applitools/core
### Updated
- Improve logging in core server
- Passing density metric for PPI support in the sdk
### Added
- Integrate universal protocol to run core via transport
- Added Resize stitch mode value
- Add NML support for Android
- Add makeECClient api
### Bug fixes
- upgrade dom-snapshot with a fix to CSP
- Fixed issue when .visualgrid was not added to agent id
- Fixed issue with aborting ufg tests
## [4.5.5] - 2023-01-06
### Updated
- Update version of Universal SDK to 3.2.2
## [4.5.4] - 2023-01-04
### Updated
- Update version of Universal SDK to 3.2.1
- Update arm64-darwin server recognition
### Features
- Filter styles and resources with non-screen media queries
### Bug fixes
- Fixed issue with parsing capabilities for iOS with native app
## [4.5.3] - 2022-12-30
### Fixed
- skip yanked gem versions
## [4.5.2] - 2022-12-30
### Updated
- Update version of Universal SDK to 3.2.0
### Added
- Add dont_close_batches flag to eyes [Trello 3093](https://trello.com/c/3E0ilb0A)
### Features
- Add server support for arm
- Additional internal event logs
### Bug fixes
- Fixed OCR functionality with latest eyes server
- Fixed issue when helper lib inputs were not cleaned up before calling new command
- Fixed issue with element scroll position not being restored after screenshot is taken on native platforms
- Handed error during polling in long requests to eyes server
- Handle fake shadowRoot with UFG
## [4.5.1] - 2022-11-28
### Fixed
- releasing as stable all eyes
## [4.0.0.alpha-eyes-images] - 2022-11-28
### Added
- eyes_images updated to universal server sdk(v3)
### Deprecated (eyes_images)
- eyes_images inputs Applitools::Screenshot and ChunkyPNG::Image now are image_path and image (examples in spec/images/eyes_images_functional_spec.rb)
### Added (eyes_images)
- eyes_images: Applitools::MatchLevel::IGNORE_COLORS
## [4.5.0.alpha] - 2022-11-23
- Update version of Universal SDK to v3 (sdk: 3.0.2)
## [4.4.1] - 2022-10-03
### Added
- Added iPhone 14 and iPhone 14 Pro Max devices [Trello 73](https://trello.com/c/M1YiwtHb)
## [4.4.0] - 2022-09-16
### Updated
- Update version of Universal SDK to 2.12.3
### Added
- Created testing client for eyes-universal
### Fixed
- Using lazyLoad.waitingTime as a delay between stitches by default
- Using proxy while polling for the result of the nml command
## [4.3.0] - 2022-09-16
### Updated
- Update version of Universal SDK to 2.12.0
### Added
- Add proxy support when using NML for NMG
- Add NML NMG support for iOS
- Added support for lazy loading views in android native apps
- tests for alpine
### Fixed
- Sending correct commands with android helper lib
- Fixed issue that prevented NMG from working when NML was enabled
## [4.2.0] - 2022-09-05
### Removed
- removed device name Galaxy S8, S8 Plus, Note 8
## [4.1.4] - 2022-09-02
### Updated
- Update version of Universal SDK to 2.10.8
### Changed
- U-SDK server spawn once per process
- U-SDK server shutdown-mode changed
## [4.1.4.alpha] - 2022-08-15
### Updated
- Update version of Universal SDK to 2.10.5
### Changed
- ci moved to github
## [4.1.3] - 2022-08-04
### Added
- add enum for edge-2 (EDGE_CHROMIUM_TWO_VERSIONS_BACK)
- Android 12 device name [Trello 54](https://trello.com/c/SZAPDKSI)
### Updated
- Update version of Universal SDK to 2.10.3
## [4.1.2] - 2022-07-07
### Added
- add padding support for regions [Trello 2929](https://trello.com/c/kHbnEdC7), [Trello 42](https://trello.com/c/PYKqJLbg)
- add custom region id support for regions [Trello 47](https://trello.com/c/pv51sCYA)
### Updated
- Update version of Universal SDK to 2.9.5
### Fixed
- fix freeze in communication with universal server
- fix floating region bounds option(as 4 numbers) parsing
## [4.1.1] - 2022-06-16
### Added
- add support lazy loading as part of the check-api [Trello](https://trello.com/c/BIHFMhVk)
### Updated
- Update version of Universal SDK to 2.8.0
## [4.1.0] - 2022-06-16
### Removed
- alpha flag from version number
## [4.1.0.alpha] - 2022-06-13
### Updated
- Update version of Universal SDK to 2.7.2
## Removed
- removed eventmachine from eyes_core
## [4.0.5.4] - 2022-06-10
### Updated
- Update version of Universal SDK to 2.7.1
### Fixed
- Fix default boolean field transition to server(like full page screenshot)
## [4.0.5.3] - 2022-06-02
### Updated
- Update version of Universal SDK to 2.5.19
### Fixed
- fix ruby-3.1 installation collision
## [4.0.5.2] - 2022-05-24
### Updated
- Update version of Universal SDK to 2.5.17
### Fixed
- Fix closing batches with closeManager
## Removed
- removed nokogiri frozen version
- remove old&unused js(now processed by universal server)
## [4.0.5.1] - 2022-05-18
### Fixed
- Fix wrong gem yank
## [4.0.5] - 2022-05-18
### Updated
- Update version of Universal SDK to 2.5.11
### Fixed
- Fix for default notify_on_completion value(moved to universal server)
## [4.0.4] - 2022-05-13
### Fixed
- Fix for mingw
## [4.0.3] - 2022-05-13
### Updated
- Update version of Universal SDK to 2.5.7
### Added
- added api: wait_before_capture, page_id
- api for native ufg: add_mobile_device, add_mobile_devices
- new ios devices
- AndroidDeviceName and AndroidDeviceInfo
### Fixed
- Fix installing universal server issues on windows
- fix getting connection info for universal server on ci
## Removed
- png processing lib dependecies
## [4.0.2] - 2022-02-08
### Updated
- Update version of Universal SDK to 1.0.9
### Fixed
- Fix installing issues with latest ruby version and installing on windows
## [4.0.1] - 2022-02-08 - unreleased
### Updated
- Update version of Universal SDK to 1.0.7
## [4.0.0] - 2022-01-24
### Changed
- Library is now based on Universal SDK
## [3.18.4] - 2021-08-31
### Fixed
- Fix Appium runner option [Trello 2697](https://trello.com/c/F6dLF1VF)
- Fix parsing css transition [Trello 2647](https://trello.com/c/CIzoKPNY)
- Fix require warning: No such file or directory @ dir_chdir - lib/applitools/selenium/scripts/node_modules [Trello 2148](https://trello.com/c/j5sAPSBa)
## [3.18.3] - 2021-06-24
### Added
- Support cross origin iframes in UFG [Trello 2259](https://trello.com/c/iJKPvd75), [Trello 2584](https://trello.com/c/QyLzmnGl)
## [3.18.2] - 2021-05-05
### Added
- Support variation_group_id and agentRunId [Trello 2527](https://trello.com/c/6SyxJXVZ)
## [3.18.1] - 2021-04-28
### Added
- Allow defining custom properties at the batch level [Trello 2445](https://trello.com/c/IKTydXLv)
## [3.18.0] - 2021-04-20
### Fixed
- Fix Selenium and Appium libraries conflict [Trello 2500](https://trello.com/c/UOwzI2s8)
## Deprecated
- Ruby 1.9 support for Appium lib (Requirement 2.2+)
## [3.17.23] - 2021-01-22
### Fixed
- Fix viewport rect of a native app at some android devices [Trello 2079](https://trello.com/c/sQJLgtUL)
### Updated
- Update Ruby Coverege Tests to v2
## [3.17.22] - 2021-01-12
### Added
- Supporting check full element with ufg [Trello 2145](https://trello.com/c/8tPAnz66)
### Updated
- Supporting iPhone 12 in `IosDeviceName` class. [Trello 2269](https://trello.com/c/yWFy2pRE)
### Fixed
- Restart on calling eyes.open with started driver [Trello 2162](https://trello.com/c/1SCQUUnW), [Trello 2233](https://trello.com/c/yPY3jhjW)
## [3.17.21] - 2020-08-20
### added
- UFG: the ability to set :visual_grid_options for the UFG SDK (Both globally and through the fluent interface) [Trello_2089](https://trello.com/c/d4zggQes/2089-ufg-sdks-visualgridoptionspolyfilladoptedstylesheets)
## [3.17.20] - 2020-08-20
### fixed
- Skip resources list: the errorStatusCode is passed to the server for UFG resources (if present) [Trello_2101](https://trello.com/c/vw3Ag8eO/2101-sdk-doesnt-pass-errorstatuscode-for-ufg-resources-if-an-error-occurred)
## [3.17.19] - 2020-08-18
### Updated
- Skip resources list for UFG is implemented [Trello_1974](https://trello.com/c/44xq8dze/1974-dom-snapshot-should-accept-a-skip-list-for-fetched-resources)
## [3.17.18] - 2020-08-01
### Fixed
- appium region screenshot issue [Trello_1996](https://trello.com/c/bmD4fCbs/1996-appium-native-ruby-error-with-png-signature-for-targetregion)
## [3.17.17] - 2020-07-29
### Fixed
- The availability to set :notify_on_completion manually for Applitools::BatchInfo. [Trello_2012](https://trello.com/c/OdYXtkFI/2012-batch-sequence-and-batch-notifications-are-not-working-in-the-ruby-selenium-sdk)
### Updated
- Screenshot retry mechanism is now more efficient. [Trello 1866](https://trello.com/c/KyxkI6Bu)
## [3.17.16] - 2020-07-16
### Fixed
- The test name is not updated in case of double open->check->close call. [Trello 2011](https://trello.com/c/7UN1AbYU/2011-ruby-ufg-tests-creates-tests-out-of-order-when-classic-eyesopen-is-used)
## [3.17.15] - 2020-07-16
### Added
- Added `VisualViewport` for UFG client. [Trello 1957](https://trello.com/c/jWvdBwex/1957-add-visual-viewport-support-in-the-ui-for-mobile-devices)
## [3.17.14] - 2020-07-9
### Updated
- Added missing `StitchingService` URI field in `RenderRequest`. [Trello 1988](https://trello.com/c/Yr6EsUlL)
## [3.17.13] - 2020-07-03
## Fixed
- eyes_appium: Coded Floating Regions Incorrectly Placed [Trello_1960](https://trello.com/c/j6nJh1LS/1960-ruby-native-app-coded-floating-regions-incorrectly-placed)
- eyes_images: Simple eyes_images test is broken [Trello_1949](https://trello.com/c/dHQbz96i/1949-eyesimages-seem-to-be-broken)
## [3.17.12] - 2020-07-02
## Fixed
- :match_timeout property is moved to configuration object [Trello_1935](https://trello.com/c/2Z070Qgs/1935-ruby-selenium-matchtimeout-not-available-in-the-configuration-object)
## [3.17.11] - 2020-06-25
## Fixed
- IosDeviceOrientation is replaced by Orientation [Trello_1944](https://trello.com/c/EzyG7525/1944-ufg-safari-on-ios-orientations-changes)
## [Eyes.sdk.ruby 3.17.10] - 2020-06-20
## Fixed
- a configuration shared between Eyes instances in Rspec [Trello_1938](https://trello.com/c/qOQkbDO7/1938-a-configuration-shared-between-eyes-instances-in-rspec)
## [Eyes.sdk.ruby 3.17.9] - 2020-06-19
## Fixed
- Call :clone on a NilClass for ruby 2.3 [Trello_1855](https://trello.com/c/LCBhnTMd/1885-selenium-ruby-cant-clone-nilclass)
## [Eyes.sdk.ruby 3.17.7] - 2020-06-18
## Added
- eyes.ignore_displacements= and eyes.ignore_displacements methods [Trello_841](https://trello.com/c/uwrYb1Vj/841-add-a-general-method-for-ignoredisplacements?menu=filter&filter=visual%20loca,due:notdue)
## Fixed
- Encoded regions for 'selector' mode [Trello_1915](https://trello.com/c/BQIrbCfC/1915-ruby-ultrafast-grid-incorrect-placement-of-coded-regions-for-targetregion)
## [Eyes.sdk.ruby 3.17.6] - 2020-06-16
## Fixed
- config.add_device_emulation(name, orientation) is fixed [Trello_1914](https://trello.com/c/l7WRvhSP/1914-ruby-ultrafast-grid-adddeviceemulation-throws-error-after-upgrading-to-3175?menu=filter&filter=due:notdue)
## Added
- Appium driver support is ectended (Applitools::Appium::Eyes.new(driver: Appium::Driver.new)) [Trello_1913](https://trello.com/c/wQTgRNrN/1913-appium-ruby-regression-unknown-driver-appiumdriver0x00007fbaf9903448-applitoolseyeserror?menu=filter&filter=due:notdue)
## [Eyes.sdk.ruby 3.17.5] - 2020-06-15
## Added
- The ability to set :baseline_env_name for DesktopBrowserInfo, IosDeviceInfo and ChromeEmulationInfo
## Fixed
- IosScreenOrientation instead of the IosScreenshotOrientation
## [Eyes.sdk.ruby 3.17.4] - 2020-06-11
## Fixed
- restricted to set emulation_info && ios_device_info for DesktopBrowserInfo
## [Eyes.sdk.ruby 3.17.3] - 2020-06-06
## Deprecated
- BrowserTypes module is deprecated in a favor of BrowserType
- Orientations module is deprecated in a favor of Orientation
## Fixed
- IosDeviceOrientation instead of IosDeviceOrientations(plural)
## Deprecated
## [Eyes.sdk.ruby 3.17.2] - 2020-06-06
## Added
- safari on ios device emulation for UFG [Trello_1872](https://trello.com/c/bykk2rzB/1872-ufg-safari-on-ios-simulators-support)
## [Eyes.sdk.ruby 3.17.1] - 2020-05-26
## Fixed
- eyes.properties for VG [Trello_1804](https://trello.com/c/Jt2BYz0e/1804-ruby-selenium-addproperty-method-not-recognized-when-running-with-visualgridrunner)
- SessionStartInfo parameters were not passed to Json correctly
## [Eyes.sdk.ruby 3.17.0] - 2020-05-18
## Added
- eyes.accessibility_validation(Applitools::AccessibilitySettings.new(Applitools::AccessibilityLevel::AA, Applitools::AccessibilityVersion::WCAG_2_0)) - [Trello_1767](https://trello.com/c/gq69woeK/1767-all-sdks-accessibility-accessiblity-guidelines-version-support-and-additional-verifications?menu=filter&filter=due:notdue)
## Removed
- eyes.accessibility_level
## [Eyes.sdk.ruby 3.16.16] - 2020-04-28
## Added
- Regions support for eyes_appium (Target#ignore, Target#floating, Target#accessibility, Target#layout, etc.)
## [Eyes.sdk.ruby 3.16.15] - 2020-04-24
## Deprecated
- BrowserTypes::EDGE is deprecated. Please change it to either "EDGE_LEGACY" for the legacy version or to "EDGE_CHROMIUM" for the new Chromium-based version. [Trello 1757](https://trello.com/c/LUe43aee/1757-all-ultrafast-sdks-edge-chromium-support)
## [Eyes.sdk.ruby 3.16.14] - 2020-04-10
## Added
-  new_session? flag is taken from start_session server response with fallback to the status code [Trello_1715](https://trello.com/c/DcVzWbeR/1715-all-sdks-updated-long-running-task-mode-for-startsession) 
## [Eyes.sdk.ruby 3.16.13] - 2020-04-06
## Fixed
- eyes#hide_scrollbars is true by default [Trello 1592](https://trello.com/c/MXixwLnj/1592-upload-dom-directly-to-azure)
- eyes#ignore_caret has been included tothe configuration object [Trello)_1706](https://trello.com/c/16JqYlYb/1706-ignorecaret-globally-is-missing-ruby)
- Irrelevant URLs are excluded from SVG resource parsing results [Trello 1691](https://trello.com/c/EAIpEh8s/1691-ruby-vg-parsing-of-irrelevant-urls-from-css-and-svg-resources)
## Added
-  x-applitools-eyes-client header for all API requests [Trello_1697](https://trello.com/c/CzhUxOqE/1697-all-sdks-should-report-their-version-in-all-requests-to-the-eyes-server) 
## [Eyes.sdk.ruby 3.16.12] - 2020-03-30
## Fixed
- eyes#send_dom didn't work [Trello 1659](https://trello.com/c/9CfD0fhn/1659-disable-dom-capturing-is-not-working-on-the-test-level-ruby)
## [Eyes.sdk.ruby 3.16.11] - 2020-03-27
## Fixed
- dom_capture threw an exception on a particular page [Trello 1658](https://trello.com/c/x0uYFwx0/1658-test-is-being-aborted-when-trying-to-capture-dom-ruby)
## [Eyes.sdk.ruby 3.16.10] - 2020-03-24
## Added
- The ability to use different Faraday adapters instead the default one [Trello 1683](https://trello.com/c/6IASHoBB/1683-add-http2-support-to-the-communication-library)
- The ability to set up timeout for HTTP request
- The ability to set up timeout for an Applitools::Future
## [Eyes.sdk.ruby 3.16.9] - 2020-03-17
## Fixed
- Agent ID for eyes_appium set to eyes.appium.ruby/version
## [Eyes.sdk.ruby 3.16.8] - 2020-03-13
## Fixed
- SDK fetch resources: the request header 'Accept-Language' is used along with 'User-Agent'
- Timeout for Thread.join is increased up to Faraday's connection timeout
- Error handling for resources that failed to fetch
## Added
-  Log messages for resource fetching now include the URL and status code
## [Eyes.sdk.ruby 3.16.7] - 2020-03-06
### Added
- dom_snapshot is uploaded directly to Azure storage
### Fixed
- dom_snapshot script updated to 7.1.3
- send_dom is true by default for EyesSelenium
## [Eyes.sdk.ruby 3.16.6] - 2020-03-05
### Fixed
- eyes#check might be called as #check(tag, target) as well as #check(target)
- Selenium Eyes: ignore regions in the current target caused an exception 
## [Eyes.sdk.ruby 3.16.5] - 2020-03-02
### Fixed
- double slash issue for custom server URL
## [Eyes.sdk.ruby 3.16.2] - 2020-02-06
### Fixed
- DefaultMatchSettings being overridden incorrectly by ImageMatchSettings
## [Eyes.sdk.ruby 3.16.1] - 2020-01-29
### Fixed
- eyes_appium crashed trying to get viewport_size
### Added
- long_requests are used for start session
## [Eyes.sdk.ruby 3.16.0] - 2020-01-24
### Added
- Screenshot uploading direct to cloud store
## [Eyes.sdk.ruby 3.15.48] - 2020-01-20
### Added
- New browser types for the VisualGrid (CHROME, CHROME_ONE_VERSION_BACK, CHROME_TWO_VERSIONS_BACK, FIREFOX, FIREFOX_ONE_VERSION_BACK, FIREFOX_TWO_VERSIONS_BACK, SAFARI, SAFARI_ONE_VERSION_BACK, SAFARI_TWO_VERSIONS_BACK, IE_10, IE_11, EDGE)
## [Eyes.sdk.ruby 3.15.47] - 2020-01-08
### Fixed
- eyes_images throws "undefined method `each' for nil:NilClass (NoMethodError)"
## [Eyes.sdk.ruby 3.15.43] - 2019-12-20
### Removed
- delta compression for screenshots
## [Eyes.sdk.ruby 3.15.43] - 2019-12-19
### Added
- eyes.abort_async method implementation
### Fixed
- save_new_tests is true by default
- tests are aborted instead of being closed on render fail
## [Eyes.sdk.ruby 3.15.43] - 2019-12-12
### Added
- Return empty test if the render fails
- eyes.abort method
## [Eyes.sdk.ruby 3.15.42] - 2019-12-10
### Fixed
- CSS paring & fetching font urls
- VisualGridEyes#config renamed to #configuration
- VisualGridEyes.configuration returns a clone of a configuration object
## [Eyes.sdk.ruby 3.15.41] - 2019-11-06
### Fixed
- Various VG related bugs
## [Eyes.sdk.ruby 3.15.39] - 2019-11-06
### Added
- This CHANGELOG file.
### Fixed
- Chrome 78 css stitching bug
